org.eclipse.ease.debugging

## Class ScriptDebugValue

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.debug.core.model.DebugElement
    - - org.eclipse.ease.debugging.ScriptDebugElement
      - - org.eclipse.ease.debugging.ScriptDebugValue

All Implemented Interfaces:
  IAdaptable, IDebugElement, IDisconnect, IStep, ISuspendResume, ITerminate, IValue

    public class ScriptDebugValue
    extends ScriptDebugElement
    implements IValue

### Constructor Summary

Constructors
Constructor and Description
`ScriptDebugValue(ScriptDebugStackFrame stackFrame, Object value)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Object` `getAdapter(Class adapter)`
`String` `getReferenceTypeName()`
`Object` `getValue()`
`String` `getValueString()`
`IVariable[]` `getVariables()`
`boolean` `hasVariables()`
`boolean` `isAllocated()`
`static boolean` `isSimpleType(Object value)`
`boolean` `isStepping()`
`boolean` `isSuspended()`
`boolean` `isTerminated()`

### Methods inherited from class org.eclipse.ease.debugging.ScriptDebugElement

`canDisconnect, canResume, canStepInto, canStepOver, canStepReturn, canSuspend, canTerminate, disconnect, getDebugTarget, getModelIdentifier, isDisconnected, resume, stepInto, stepOver, stepReturn, suspend, terminate`

### Methods inherited from class org.eclipse.debug.core.model.DebugElement

`fireChangeEvent, fireCreationEvent, fireEvent, fireResumeEvent, fireSuspendEvent, fireTerminateEvent, getLaunch`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.core.model.IDebugElement

`getDebugTarget, getLaunch, getModelIdentifier`

### Constructor Detail

#### ScriptDebugValue

    public ScriptDebugValue(ScriptDebugStackFrame stackFrame,
                            Object value)

### Method Detail

#### isTerminated

    public boolean isTerminated()

Specified by:
  `isTerminated` in interface `ITerminate`

#### isSuspended

    public boolean isSuspended()

Specified by:
  `isSuspended` in interface `ISuspendResume`

#### isStepping

    public boolean isStepping()

Specified by:
  `isStepping` in interface `IStep`

#### getReferenceTypeName

    public String getReferenceTypeName()
                                throws DebugException

Specified by:
  `getReferenceTypeName` in interface `IValue`
Throws:
  `DebugException`

#### getValueString

    public String getValueString()
                          throws DebugException

Specified by:
  `getValueString` in interface `IValue`
Throws:
  `DebugException`

#### isAllocated

    public boolean isAllocated()
                        throws DebugException

Specified by:
  `isAllocated` in interface `IValue`
Throws:
  `DebugException`

#### getVariables

    public IVariable[] getVariables()
                             throws DebugException

Specified by:
  `getVariables` in interface `IValue`
Throws:
  `DebugException`

#### hasVariables

    public boolean hasVariables()
                         throws DebugException

Specified by:
  `hasVariables` in interface `IValue`
Throws:
  `DebugException`

#### getAdapter

    public Object getAdapter(Class adapter)

Specified by:
  `getAdapter` in interface `IAdaptable`
Overrides:
  `getAdapter` in class `DebugElement`

#### getValue

    public Object getValue()

#### isSimpleType

    public static boolean isSimpleType(Object value)